GJOTS2LPR(1)

NAME
gjots2lpr - export gjots2 or other txt files to PDF or PS

SYNOPSIS
gjots2lpr [ -124fhmptv ] [ filename ... ]

DESCRIPTION
Prints a text file - if possible using postscript or PDF and available pre-viewers and printer dialog. It looks for and uses whatever utilities it can find on the system.

If 'filename' is not given then STDIN is printed.

-1: 1 page per sheet
-2: 2 page per sheet
-4: 4 page per sheet
-f FORMATTER: use FORMATTER (a2ps, enscript or mpage)
-m MEDIA: paper size (default A4)
-p: convert to PDF rather than PS
-t: stick to ASCII text - don't convert to postscript
-v: verbose operation

The following environment parameters are recognised and have default values:

GJOTS_LPR: "xpp", "gtklp", "kprinter" or "lpr"
GJOTS_TXT2PS: "a2ps --medium=A4 --margin=1 --header --center-title='' -2 --output=-", "enscript --borders --output=- --media=A4 -2 --header='%D %T||Page $% of $='" or "mpage -bA4 -X'' -f -2"
GJOTS_PS2PDF: ps2pdf
GJOTS_PSVIEWER: "evince", "kghostview", "kpdf", "ggv" or "gv"
GJOTS_PDFVIEWER: "evince", "acroread", "kpdf" or "xpdf -z page"
GJOTS_PRETTY: "pr -o 1 -T" or "cat"
GJOTS_TXTVIEWER: "Xdialog --ok-label Print --textbox - 80 120" or "xmessage -buttons Cancel:1,Print:0 -file -"